# frozen_string_literal: true

module Codebreaker
  class Player
    MAX_LENGTH_NAME = 20
    MIN_LENGTH_NAME = 3
    attr_reader :name

    def initialize(name)
      @name = name
    end

    def validate
      Verifier.verify_valid_name(@name)
    end
  end
end
